- job:
    name: gophercloud-unittest
    parent: golang-test
    description: |
      Run gophercloud unit test
    run: .zuul/playbooks/gophercloud-unittest/run.yaml
    nodeset: ubuntu-xenial-ut

- job:
    name: gophercloud-acceptance-test
    parent: golang-test
    description: |
      Run gophercloud acceptance test on master branch
    run: .zuul/playbooks/gophercloud-acceptance-test/run.yaml

- job:
    name: gophercloud-acceptance-test-ironic
    parent: golang-test
    description: |
      Run gophercloud ironic acceptance test on master branch
    run: .zuul/playbooks/gophercloud-acceptance-test-ironic/run.yaml

- job:
    name: gophercloud-acceptance-test-stein
    parent: gophercloud-acceptance-test
    description: |
      Run gophercloud acceptance test on stein branch
    vars:
      global_env:
        OS_BRANCH: stable/stein

- job:
    name: gophercloud-acceptance-test-rocky
    parent: gophercloud-acceptance-test
    description: |
      Run gophercloud acceptance test on rocky branch
    vars:
      global_env:
        OS_BRANCH: stable/rocky

- job:
    name: gophercloud-acceptance-test-queens
    parent: gophercloud-acceptance-test
    description: |
      Run gophercloud acceptance test on queens branch
    vars:
      global_env:
        OS_BRANCH: stable/queens

- job:
    name: gophercloud-acceptance-test-pike
    parent: gophercloud-acceptance-test
    description: |
      Run gophercloud acceptance test on pike branch
    vars:
      global_env:
        OS_BRANCH: stable/pike

- job:
    name: gophercloud-acceptance-test-ocata
    parent: gophercloud-acceptance-test
    description: |
      Run gophercloud acceptance test on ocata branch
    vars:
      global_env:
        OS_BRANCH: stable/ocata

- job:
    name: gophercloud-acceptance-test-newton
    parent: gophercloud-acceptance-test
    description: |
      Run gophercloud acceptance test on newton branch
    vars:
      global_env:
        OS_BRANCH: stable/newton

- job:
    name: gophercloud-acceptance-test-mitaka
    parent: gophercloud-acceptance-test
    description: |
      Run gophercloud acceptance test on mitaka branch
    vars:
      global_env:
        OS_BRANCH: stable/mitaka
    nodeset: ubuntu-trusty

- project:
    name: gophercloud/gophercloud
    check:
      jobs:
        - gophercloud-unittest
        - gophercloud-acceptance-test
        - gophercloud-acceptance-test-ironic
    recheck-mitaka:
      jobs:
        - gophercloud-acceptance-test-mitaka
    recheck-newton:
      jobs:
        - gophercloud-acceptance-test-newton
    recheck-ocata:
      jobs:
        - gophercloud-acceptance-test-ocata
    recheck-pike:
      jobs:
        - gophercloud-acceptance-test-pike
    recheck-queens:
      jobs:
        - gophercloud-acceptance-test-queens
    recheck-rocky:
      jobs:
        - gophercloud-acceptance-test-rocky
    recheck-stein:
      jobs:
        - gophercloud-acceptance-test-stein
